## drizzle 7.1.36-stable

=== debian/changelog ===
drizzle (1:7.1.36-stable-4ubuntu2) saucy; urgency=low

  * Disable -floop-parallelize-all due to gcc-4.8/4.9 compiler ICE
    http://gcc.gnu.org/bugzilla/show_bug.cgi?id=57732

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 21 Aug 2013 21:11:29 +0100

drizzle (1:7.1.36-stable-4ubuntu1) saucy; urgency=low

  * Merge from debian, remaining changes:
    - Link against boost_system because of boost_thread.
    - Add required libs to message/include.am
    - Add upstart job and adjust init script to be upstart compatible.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 17 Jul 2013 02:13:01 +0100

drizzle (1:7.1.36-stable-4) unstable; urgency=low

  * Fix "FTBFS: autoreconf: automake failed with exit status: 1" by fixing
    pandora (new patch pandora_fixforautomake1.13.patch) (Closes: #711199)
  * Add Slovak po-debconf translation (Closes: #709089)
  * Bump S-V, no changes required
  * Overriding linitian error regarding embedded code copy (libjson) until
    upstream gives feedback/reasons about it
  * Add verbosity to the build to make build log check compiler-flags-hidden
    happy

 -- Tobias Frost <tobi@coldtobi.de>  Sat, 08 Jun 2013 12:39:43 +0200

drizzle (1:7.1.36-stable-3) unstable; urgency=low

  * New patch boost-1.49.patch due to a boost problem showed with gcc >4.7
    (Closes: #701269)
  * Adding Japanese (Closes: #692842) and Brazilian (Closes: #685770)
    translations
  * Do not build undocumented commands drizzle_passwordhash and
    drizzlebackup.innobase (no man pages are available.) This is handled
    in the new patches donotbuild_drizzlepasswordhash.patch and
    donotbuild_drizzlebackup.innobase.patch
  * Switch from hardening-wrapper to dpkg-buildflags
  * Add patch ftbfs-bison-2.7.patch to fix a FTBS with recent bison.
    (cherry-picked from upstream)

 -- Tobias Frost <tobi@coldtobi.de>  Mon, 20 May 2013 01:01:26 +0200

drizzle (1:7.1.36-stable-2) experimental; urgency=low

  * Remove extra space in drizzle.init and prepare /var/run/drizzle
    (Closes: #678702)
  * Building mysql-protocol-plugin and and mysql-socket-protocol-plugin
    (Closes: #678963)
  * New patch: Changing default path for the mysql.socket to /var/run/drizzle
  * Remove linitian warning regarding d/copyright.
  * Targeting experimental during the freeze.

 -- Tobias Frost <tobi@coldtobi.de>  Sun, 19 Aug 2012 16:03:04 +0200

drizzle (1:7.1.36-stable-1ubuntu2) saucy; urgency=low

  * Link against boost_system because of boost_thread. (LP: #1132648)
  * Use TIME_UTC_ symbol instead of TIME_UTC.
  * Cherrypick -r2618 for toolchain fixes.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 28 May 2013 09:52:54 +0100

drizzle (1:7.1.36-stable-1ubuntu1) quantal; urgency=low

  * Merge from Debian unstable. (LP: #987575)
    Remaining changes:
    - Added upstart script.
  * debian/drizzle.upstart: dropped logger since upstart logs job
    output now.

 -- Clint Byrum <clint@ubuntu.com>  Tue, 19 Jun 2012 10:46:49 -0700

drizzle (1:7.1.36-stable-1) unstable; urgency=low

  * Imported Upstream version 7.1.36-stable
  * Refreshing patches. Dropping libgearman1.0.patch as no longer needed.

 -- Tobias Frost <tobi@coldtobi.de>  Sun, 03 Jun 2012 12:10:19 +0200

drizzle (1:7.1.33-stable-4) unstable; urgency=low

  * Libv8 is currently no longer available for mipsel, so do not build
    drizzle-plugin-js for this architecture
  * Add patch to support gcc-4.7

 -- Tobias Frost <tobi@coldtobi.de>  Wed, 09 May 2012 21:13:36 +0200

drizzle (1:7.1.33-stable-3) unstable; urgency=low

  * Remove /etc/drizzle/drizzle.users on purge (Closes: 670425)

 -- Tobias Frost <tobi@coldtobi.de>  Wed, 25 Apr 2012 19:23:42 +0200

drizzle (1:7.1.33-stable-2) unstable; urgency=low

  * Add patch always-help.patch
  * Fix "FTBFS on kfreeBSD-*", see patch do-not-use-O_CLOEXEC.patch
    (Closes: #668493)
  * Init file still had an drizzle7 in it.
  * Installing /var/lib/drizzle with the package (Closes: #668786)
  * Dropping B-Ds on libreadline5-dev

 -- Tobias Frost <tobi@coldtobi.de>  Mon, 23 Apr 2012 18:24:34 +0200

drizzle (1:7.1.33-stable-1) unstable; urgency=low

  * New upstream release.
  * Fix dependency for libdrizzle-dev (Closes: #668424)
  * Symlink in libdrizzle-dev was referring to the old library.

 -- Tobias Frost <tobi@coldtobi.de>  Thu, 12 Apr 2012 10:26:47 +0200

drizzle (1:7.1.32-rc-1) unstable; urgency=low

  * New upstream release.
  * Plugin-filtered-replicator upstream removed and will no longer be built.
  * Updating d/*install files to accommodate upstream changes from drizzle7
    to drizzle
  * Added symlink in libdrizzledmessage-dev to library
  * libdrizzle: soname-bump
  * Rename package drizzle-plugin-performance-dictionary to shorten package name
    (due to linitan warning package-has-long-file-name)
  * Debian/control: removed unused substitution variable ${shlibs:Depends} for
    -dbg and -dev packages

 -- Tobias Frost <tobi@coldtobi.de>  Wed, 04 Apr 2012 15:12:07 +0200

drizzle (2012.01.30-4) unstable; urgency=low

  * B-D systemtap-sdt-dev is no longer available for mips, mipsel, s390x and
    sparc.

 -- Tobias Frost <tobi@coldtobi.de>  Thu, 29 Mar 2012 22:31:51 +0200

drizzle (2012.01.30-3) unstable; urgency=low

  * Really fix the FTBFS due to dh_sphinxdoc (Closes: #663985)

 -- Tobias Frost <tobi@coldtobi.de>  Tue, 20 Mar 2012 12:21:26 +0100

drizzle (2012.01.30-2) unstable; urgency=low

  * Apply patch to turn off intersphinx mappings for sphinxdocs.
  * Add patch to disable pandora to detect the debian repo as upstream.
  * Call dh_autoreconf with the script conf/autorun.sh
  * Do not run dh_sphinxdoc when not building -doc package. (Closes: #663985)
  * Prepared watchfile for new upstream version scheme
  * Plugin javascript extracted into own package, as its BD is only available
    on a few architectures.
  * Upstream file should not be installed by dh_installinit to avoid upstream
    dependency
  * Add upstart file to examples.

