=== debian/control ===
Source: drizzle
Section: database
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Tobias Frost <tobi@coldtobi.de>
Build-Depends: autoconf,
               automake,
               bison,
               debhelper (>=9),
               dh-autoreconf,
               doxygen,
               flex,
               gettext,
               gperf,
               intltool,
               libaio-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libboost-date-time-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-iostreams-dev,
               libboost-program-options-dev,
               libboost-regex-dev,
               libboost-test-dev,
               libboost-thread-dev,
	       libboost-system-dev,
               libcloog-ppl-dev,
               libcurl4-gnutls-dev,
               libgcrypt11-dev,
               libgearman-dev (>= 0.27-2),
               libldap2-dev,
               libmemcached-dev (>= 0.39),
               libpam0g-dev,
               libpcre3-dev,
               libprotobuf-dev,
               librabbitmq-dev,
               libreadline-dev (>= 5.0),
               libtool,
               libv8-dev [amd64 armel armhf i386],
               pandora-build,
               po-debconf,
               protobuf-compiler,
               python,
               python-sphinx (>= 1.0.7+dfsg),
               systemtap-sdt-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !mips !mipsel !s390x !sparc],
               uuid-dev,
               zlib1g-dev (>= 1:1.1.3-5)
Standards-Version: 3.9.4
Homepage: http://launchpad.net/drizzle
Vcs-Browser: https://gitorious.org/drizzle-debian/drizzle-debian/trees/master
Vcs-Git: http://git.gitorious.org/drizzle-debian/drizzle-debian.git

Package: drizzle-client
Architecture: any
Priority: optional
Depends: debianutils (>=1.6), ${misc:Depends}, ${shlibs:Depends}
Description: Client binaries for Drizzle Database
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the client binaries.

Package: drizzle
Architecture: any
Pre-Depends: adduser (>= 3.40)
Conflicts: drizzle-server
Replaces: drizzle-server
Depends: drizzle-client (>= ${source:Version}),
         libdrizzledmessage0 (= ${binary:Version}),
         lsb-base (>= 4.1+Debian3),
         passwd,
         psmisc,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Server binaries for Drizzle Database
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the server binaries.

Package: drizzle-plugin-auth-file
Architecture: any
Depends: drizzle (= ${binary:Version}),
         pwgen,
         ${misc:Depends},
         ${shlibs:Depends}
Description: File-based authentication for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the File-based Authentication plugin.

Package: drizzle-plugin-auth-http
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: HTTP authentication for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the HTTP Authentication plugin.

Package: drizzle-plugin-auth-ldap
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: LDAP authentication for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the LDAP Authentication plugin.

Package: drizzle-plugin-auth-pam
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: PAM authentication for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the PAM Authentication plugin.

Package: drizzle-plugin-auth-schema
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Schema authentication for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the Schema Authentication plugin.

Package: drizzle-plugin-js
Architecture: armel armhf i386 amd64
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Javascript plugin for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the Javascript plugin.

Package: drizzle-plugin-debug
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Plugin that facilitates debugging Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the Debug plugin.

Package: drizzle-plugin-gearman-udf
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Gearman User Defined Functions for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the Gearman User Defined Functions plugin.

Package: drizzle-plugin-http-functions
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: HTTP Functions for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the HTTP Functions plugin.

Package: drizzle-plugin-json-server
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: JSON HTTP (NoSQL) interface for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the JSON Server plugin.

Package: drizzle-plugin-logging-gearman
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Gearman Logging for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the Gearman Logging plugin.

Package: drizzle-plugin-logging-query
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Query Logging for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the Query Logging plugin.

Package: drizzle-plugin-perf-dictionary
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Provides: drizzle-plugin-performance-dictionary
Replaces: drizzle-plugin-performance-dictionary
Conflicts: drizzle-plugin-performance-dictionary
Description: Performance Dictionary for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the Performance Dictionary plugin.

Package: drizzle-plugin-rabbitmq
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: RabbitMQ Transaction Log for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the RabbitMQ Transaction Log plugin.

Package: drizzle-plugin-regex-policy
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Regex based authorization rules for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the Regex Policy plugin.

Package: drizzle-plugin-slave
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Replication Slave Plugin for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the replication slave plugin.

Package: drizzle-plugin-simple-user-policy
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Simple User Policy for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes a plugin implementing a simple schema-per-user
 authorization policy.

Package: drizzle-plugin-query-log
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Query logging for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the Query Log plugin.

Package: drizzle-plugin-dev
Section: devel
Architecture: any
Recommends: protobuf-compiler
Depends: autoconf,
         automake,
         build-essential,
         gettext,
         intltool,
         libaio-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
         libboost-date-time-dev,
         libboost-dev,
         libboost-filesystem-dev,
         libboost-iostreams-dev,
         libboost-program-options-dev,
         libboost-regex-dev,
         libboost-thread-dev,
         libcurl4-gnutls-dev,
         libdrizzledmessage-dev,
         libgearman-dev (>= 0.27-2),
         libldap2-dev,
         libmemcached-dev (>= 0.39),
         libpam0g-dev,
         libpcre3-dev,
         libprotobuf-dev,
         libreadline-dev (>> 5.0),
         libtool,
         lsb-base (>= 3.0-10),
