=== debian/changelog ===
drizzle (1:7.2.3-2ubuntu2) trusty; urgency=medium

  * No-change rebuild against libprotobuf8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 29 Jan 2014 13:09:12 +0000

drizzle (1:7.2.3-2ubuntu1) trusty; urgency=low

  * Merge from debian, remaining changes:
    - Link against boost_system because of boost_thread.
    - Add required libs to message/include.am
    - Add upstart job and adjust init script to be upstart compatible.
    - Disable -floop-parallelize-all due to gcc-4.8/4.9 compiler ICE
      http://gcc.gnu.org/bugzilla/show_bug.cgi?id=57732

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 29 Oct 2013 15:43:40 +0000

drizzle (1:7.2.3-2) unstable; urgency=low

  * Patch for boost-1.54 was incomplete: libthread needs also linkage on
    libboost-atomic for some archs
  * Trying to enable build for hurd (new patch: enable-hurd.patch)

 -- Tobias Frost <tobi@coldtobi.de>  Fri, 23 Aug 2013 19:19:46 +0200

drizzle (1:7.2.3-1) unstable; urgency=low

  * New upstream release
  * Refresh debian/patches/fix_spellings.patch
  * Refresh donotbuild_drizzlepasswordhash.patch
  * Refresh donotbuild_drizzlebackup.innobase.patch
  * Refreshing patcha ftbfs-bison-2.7.patch from series
  * Force gcc-4.7 for now, as gcc-4.8 segfaults (See bug #715566)
    (Closes: #720000)
  * New patch: fix_format_not_a_string_literal
  * Update d/libdrizzle4.symbols
  * Add Indonesian debconf translation (Closes: #711809)
  * Add lintian override for libdrizzledmessage0: no-symbols-control-
    file
  * Add lintian override for libdrizzledmessage0: spelling-error-in-binary
    which is actually part of a symbol name in the library
  * Add new patch for boost1.54

 -- Tobias Frost <tobi@coldtobi.de>  Thu, 22 Aug 2013 20:18:31 +0200
