=== debian/control ===
--- 
+++ 
@@ -12,8 +12,10 @@
                flex,
                gettext,
                gperf,
+               gcc-4.7, g++-4.7,
                intltool,
                libaio-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+               libboost-atomic-dev,
                libboost-date-time-dev,
                libboost-dev,
                libboost-filesystem-dev,
@@ -34,6 +36,7 @@
                libprotobuf-dev,
                librabbitmq-dev,
                libreadline-dev (>= 5.0),
+               libssl-dev,
                libtool,
                libv8-dev [amd64 armel armhf i386],
                pandora-build,
@@ -290,7 +293,3 @@
          libmemcached-dev (>= 0.39),
          libpam0g-dev,
          libpcre3-dev,
-         libprotobuf-dev,
-         libreadline-dev (>> 5.0),
-         libtool,
-         lsb-base (>= 3.0-10),
