=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	dh_auto_clean
 	dh_clean
 	debconf-updatepo
-	-${RM} -rf docs/drizzled docs/html docs/pyext/*.pyc
+	-${RM} -rf docs/drizzled docs/html docs/pyext/*.pyc tests/kewpie
 
 override_dh_autoreconf:
 	python config/pandora-plugin write
@@ -30,7 +30,7 @@
 
 
 override_dh_auto_configure:
-	dh_auto_configure -- \
+	CC=gcc-4.7 CXX=g++-4.7 dh_auto_configure -- \
 	  --disable-rpath \
 	  --localstatedir=/var/lib/drizzle \
 	  --with-comment="Debian" $(shell dpkg-buildflags --export=configure) \
