## drizzle 7.2.4~alpha

=== debian/changelog ===
drizzle (1:7.2.4~alpha-2ubuntu2) vivid; urgency=medium

  * Rebuild against libprotobuf9.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Dec 2014 10:32:01 +0000

drizzle (1:7.2.4~alpha-2ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - Add upstart job and adjust init script to be upstart compatible.
  * Build-depend on systemtap-sdt-dev on all architectures.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Aug 2014 12:41:18 +0200

drizzle (1:7.2.4~alpha-2) unstable; urgency=medium

  * upload to unstable
  * As sucesfully tested in experimental, get rid of the gcc-4.7 dependency
    (Closes: #747995)
  * rework of debian/patches/*: Removing unused autotools.patch and prefixing
    all other patches with numbers to indicate the order
  * Remove patch fix_pandora_sphinx, no longer needed
  * Fix "UDS connect getting into infinite loop" by cherrypicking the
    libdrizzl4 patch. See new patch 140-libdrizzle-uds.patch (Closes: #740240)

 -- Tobias Frost <tobi@coldtobi.de>  Thu, 22 May 2014 07:28:04 +0200

drizzle (1:7.2.4~alpha-2~exp1) experimental; urgency=medium

  * Test-build to experimental to see if ICE of gcc-4.8 is gone.

 -- Tobias Frost <tobi@coldtobi.de>  Sun, 26 Jan 2014 21:21:22 +0000

drizzle (1:7.2.4~alpha-1) unstable; urgency=low

  * New upstream release. As an alpha-release, targeting experimental for now.
  * Updated d/control Vcs-browser as I changed debian branchnames to
    prepare an experimental upload
  * Patches removed, applied upstream:
     - bug-631107.patch
     - always-help.patch
     - do-not-use-O_CLOEXEC.patch
     - ftbfs-gcc47.patch
  * Refreshed patch enable-hurd.patch
  * Update watchfile, thanks Bart Martens for providing it
  * Adding lintian overrides for some informational and pedantic types:
     - hardening-no-fortify-functions: false positives for
        libgearman_udf_plugin.so and libshow_schema_proto_plugin.so
     - duplicate-files: some small files in drizzle-dev-doc and drizzle-doc
     - debian-watch-may-check-gpg-signature: Waiting for upstream to
        clearify
  * Cleaning up d/rules

 -- Tobias Frost <tobi@coldtobi.de>  Sun, 05 Jan 2014 22:17:00 +0100

drizzle (1:7.2.3-3) unstable; urgency=low

  * Bump S-V to 3.9.5, no changes required
  * override maintainer-script-should-not-use-adduser-system-without-
    home due to a false positive
  * Add Chinese translation
  * B-D on systemtap-sdt-dev only on archs supported by it
    (Closes: #722109, #733292)
  * Trick the pandora build system that we have a recent sphinx
    (new patch fix_pandora_sphinx.patch)

 -- Tobias Frost <tobi@coldtobi.de>  Thu, 02 Jan 2014 16:37:29 +0100

drizzle (1:7.2.3-2ubuntu3) utopic; urgency=high

  * No change rebuild against boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 28 Apr 2014 03:44:55 +0100
