=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
                flex,
                gettext,
                gperf,
-               gcc-4.7, g++-4.7,
                intltool,
                libaio-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                libboost-atomic-dev,
@@ -44,12 +43,12 @@
                protobuf-compiler,
                python,
                python-sphinx (>= 1.0.7+dfsg),
-               systemtap-sdt-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !mips !mipsel !s390x !sparc],
+               systemtap-sdt-dev [linux-any],
                uuid-dev,
                zlib1g-dev (>= 1:1.1.3-5)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://launchpad.net/drizzle
-Vcs-Browser: https://gitorious.org/drizzle-debian/drizzle-debian/trees/master
+Vcs-Browser: https://gitorious.org/drizzle-debian/drizzle-debian
 Vcs-Git: http://git.gitorious.org/drizzle-debian/drizzle-debian.git
 
 Package: drizzle-client
@@ -293,3 +292,7 @@
          libmemcached-dev (>= 0.39),
          libpam0g-dev,
          libpcre3-dev,
+         libprotobuf-dev,
+         libreadline-dev (>> 5.0),
+         libtool,
+         lsb-base (>= 3.0-10),
