=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	dh_auto_clean
 	dh_clean
 	debconf-updatepo
-	-${RM} -rf docs/drizzled docs/html docs/pyext/*.pyc tests/kewpie
+	-${RM} -rf docs/drizzled docs/html docs/pyext/*.pyc tests/kewpie config/top.h
 
 override_dh_autoreconf:
 	python config/pandora-plugin write
@@ -30,12 +30,11 @@
 
 
 override_dh_auto_configure:
-	CC=gcc-4.7 CXX=g++-4.7 dh_auto_configure -- \
+	dh_auto_configure -- \
 	  --disable-rpath \
 	  --localstatedir=/var/lib/drizzle \
 	  --with-comment="Debian" $(shell dpkg-buildflags --export=configure) \
-	  --disable-silent-rules \
-	  F_LOOP_PARALLELIZE_ALL=""
+	  --disable-silent-rules
 
 override_dh_auto_build:
 	${MAKE}
@@ -57,14 +56,3 @@
 override_dh_sphinxdoc:
 	(test -d $(CURDIR)/debian/drizzle-doc && dh_sphinxdoc -Xlicense.txt) || /bin/true
 
-grepdiff:
-	bzr diff | grepdiff Copyright
-
-scan-copyright:
-	for f in `bzr status  --short | grep '^.[NM]' | awk '{print $$2}'` ; do [ -f $$f ] && bzr diff $$f | grep 'Copyright' && echo $$f; done
-
-get-orig-source:
-	# Uscan will read debian/watch, grab the correct version, repack, and
-	# leave it in the current directory
-	uscan --noconf --force-download --rename --repack \
-	  --download-current-version --destdir=.
