=== debian/control ===
Source: drizzle
Section: misc
Priority: optional
Maintainer: Monty Taylor <mordred@inaugust.com>
Build-Depends: debhelper (>= 7.0.50), 
 chrpath,
 doxygen,
 perl (>= 5.6.0),
 python,
 zlib1g-dev (>= 1:1.1.3-5),
 libreadline5-dev | libreadline-dev,
 bison,
 protobuf-compiler,
 libprotobuf-dev,
 gperf,
 libpcre3-dev,
 libevent-dev,
 gettext, uuid-dev,
 libpam0g-dev,
 libdrizzle-dev,
 libgearman-dev (>= 0.10),
 libcurl4-gnutls-dev,
 libgnutls-dev,
 libmemcached-dev,
 automake,
 autoconf,
 libtool
Standards-Version: 3.8.4
Homepage: http://launchpad.net/pkg-drizzle
Vcs-Browser: http://bazaar.launchpad.net/~drizzle-developers/pkg-drizzle/trunk/files
Vcs-Bzr: http://bazaar.launchpad.net/~drizzle-developers/pkg-drizzle/trunk

Package: drizzle-client
Architecture: any
Depends: debianutils (>=1.6), ${shlibs:Depends}, ${misc:Depends}
Description: Client binaries for Drizzle Database
 The Drizzle project is building a database optimized for Cloud and Net 
 applications. It is being designed for massive concurrency on modern 
 multi-cpu/core architecture. The code is originally derived from MySQL. 
 .
 This package includes the client binaries.

Package: drizzle-server
Architecture: any                                                               
Suggests: tinyca
Pre-Depends: adduser (>= 3.40)
Depends: drizzle-client (>= ${source:Version}),
 psmisc,
 passwd,
 lsb-base (>= 3.0-10),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Server binaries for Drizzle Database
 The Drizzle project is building a database optimized for Cloud and Net 
 applications. It is being designed for massive concurrency on modern 
 multi-cpu/core architecture. The code is originally derived from MySQL. 
 .
 This package includes the server binaries.

Package: drizzle-plugin-dev
Architecture: any                                                               
Recommends: protobuf-compiler
Depends: python,
 autoconf,
 automake,
 libtool,
 zlib1g-dev (>= 1:1.1.3-5),
 libreadline5-dev | libreadline-dev,
 libprotobuf-dev,
 libpcre3-dev,
 libevent-dev,
 gettext,
 uuid-dev,
 libpam0g-dev,
 libdrizzle-dev,
 lsb-base (>= 3.0-10),
 libgearman-dev,
 libcurl4-gnutls-dev,
 libgnutls-dev,
 libmemcached-dev,
 ${misc:Depends}
Description: Development files for Drizzle plugin development
 The Drizzle project is building a database optimized for Cloud and Net 
 applications. It is being designed for massive concurrency on modern 
 multi-cpu/core architecture. The code is originally derived from MySQL. 
 .
 This package includes the headers needed to develop plugins.


Package: drizzle-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: API Documentation for Drizzle internals
 The Drizzle project is building a database optimized for Cloud and Net 
 applications. It is being designed for massive concurrency on modern 
 multi-cpu/core architecture. The code is originally derived from MySQL. 
 .
 This package includes the API docs for all of the Drizzle internals.


Package: drizzle-dev
Architecture: all
Depends: python,
 automake,
 autoconf,
 libtool,
 zlib1g-dev (>= 1:1.1.3-5),
 libreadline5-dev | libreadline-dev,
 libprotobuf-dev,
 libpcre3-dev,
 libevent-dev,
 gettext,
 uuid-dev,
 libpam0g-dev,
 libdrizzle-dev,
 lsb-base (>= 3.0-10),
 libgearman-dev,
 libcurl4-gnutls-dev,
 libgnutls-dev,
 libmemcached-dev,
 bzr,
 bzrtools,
 uncrustify,
 lcov,
 protobuf-compiler,
 doxygen,
 perl,
 bison,
 gperf,
 valgrind,
 ${misc:Depends} 
Description: Development files for Drizzle development
 The Drizzle project is building a database optimized for Cloud and Net 
 applications. It is being designed for massive concurrency on modern 
 multi-cpu/core architecture. The code is originally derived from MySQL. 
 .
 This is an empty package depends on everything needed to hack on Drizzle.

Package: drizzle
Architecture: all
Depends: drizzle-server, drizzle-client, ${misc:Depends}
Description: Database for the cloud (meta package depending on client and server)
 The Drizzle project is building a database optimized for Cloud and Net 
 applications. It is being designed for massive concurrency on modern 
 multi-cpu/core architecture. The code is originally derived from MySQL. 
 .
 This is an empty package that installs both client and server packages.
