=== debian/watch ===
version=3
http://launchpad.net/drizzle/+download http://launchpad.net/drizzle/.*/drizzle-(.*)\.tar\.gz
